#ifndef SCRIPTING_OPERATORS_ALL_H_
#define SCRIPTING_OPERATORS_ALL_H_

#include "add_figure.h"
#include "add_figure_of_triangulation.h"
#include "cad_score.h"
#include "calculate_betweenness.h"
#include "calculate_burial_depth.h"
#include "center_atoms.h"
#include "color_atoms.h"
#include "color_contacts.h"
#include "color_figures.h"
#include "construct_contacts.h"
#include "construct_triangulation.h"
#include "copy_object.h"
#include "delete_adjuncts_of_atoms.h"
#include "delete_adjuncts_of_contacts.h"
#include "delete_figures.h"
#include "delete_objects.h"
#include "delete_selections_of_atoms.h"
#include "delete_selections_of_contacts.h"
#include "delete_tags_of_atoms.h"
#include "delete_tags_of_contacts.h"
#include "delete_virtual_files.h"
#include "describe_exposure.h"
#include "download_virtual_file.h"
#include "echo.h"
#include "exit.h"
#include "explain_command.h"
#include "export_adjuncts_of_atoms.h"
#include "export_atoms_and_contacts.h"
#include "export_atoms_as_pymol_cgo.h"
#include "export_atoms.h"
#include "export_cartoon_as_pymol_cgo.h"
#include "export_contacts_as_pymol_cgo.h"
#include "export_contacts.h"
#include "export_figures_as_pymol_cgo.h"
#include "export_selection_of_atoms.h"
#include "export_selection_of_contacts.h"
#include "export_triangulation.h"
#include "export_triangulation_voxels.h"
#include "find_connected_components.h"
#include "import_adjuncts_of_atoms.h"
#include "import_contacts.h"
#include "import.h"
#include "import_selection_of_atoms.h"
#include "import_selection_of_contacts.h"
#include "list_commands.h"
#include "list_figures.h"
#include "list_objects.h"
#include "list_selections_of_atoms.h"
#include "list_selections_of_contacts.h"
#include "list_virtual_files.h"
#include "make_drawable_contacts.h"
#include "make_undrawable_contacts.h"
#include "mark_atoms.h"
#include "mark_contacts.h"
#include "move_atoms.h"
#include "pick_objects.h"
#include "print_atoms.h"
#include "print_contacts.h"
#include "print_figures.h"
#include "print_sequence.h"
#include "print_text_description.h"
#include "print_time.h"
#include "print_triangulation.h"
#include "print_virtual_file.h"
#include "rename_object.h"
#include "rename_selection_of_atoms.h"
#include "rename_selection_of_contacts.h"
#include "reset_time.h"
#include "restrict_atoms.h"
#include "select_atoms_by_triangulation_query.h"
#include "select_atoms.h"
#include "select_contacts.h"
#include "set_adjunct_of_atoms_by_contact_adjuncts.h"
#include "set_adjunct_of_atoms_by_contact_areas.h"
#include "set_adjunct_of_atoms_by_residue_pooling.h"
#include "set_adjunct_of_atoms.h"
#include "set_adjunct_of_contacts.h"
#include "set_alias.h"
#include "set_tag_of_atoms_by_secondary_structure.h"
#include "set_tag_of_atoms.h"
#include "set_tag_of_contacts.h"
#include "set_text_description.h"
#include "setup_loading.h"
#include "setup_voromqa.h"
#include "show_atoms.h"
#include "show_contacts.h"
#include "show_figures.h"
#include "show_objects.h"
#include "source.h"
#include "spectrum_atoms.h"
#include "spectrum_contacts.h"
#include "unset_aliases.h"
#include "upload_virtual_file.h"
#include "voromqa_frustration.h"
#include "voromqa_global.h"
#include "voromqa_local.h"
#include "voromqa_membrane_place.h"
#include "zoom_by_atoms.h"
#include "zoom_by_contacts.h"
#include "zoom_by_objects.h"

#endif /* SCRIPTING_OPERATORS_ALL_H_ */
